org.apache.cassandra.index.sasi.utils

## Class RangeIntersectionIterator

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.RangeIntersectionIterator

    public class RangeIntersectionIterator
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`protected static class` `RangeIntersectionIterator.BounceIntersectionIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>` Iterator which performs intersection of multiple ranges by using bouncing (merge-join) technique to identify common elements in the given ranges.
`static class` `RangeIntersectionIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>`
`protected static class` `RangeIntersectionIterator.LookupIntersectionIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>` Iterator which performs a linear scan over a primary range (the smallest of the ranges) and O(log(n)) lookup into secondary ranges using values from the primary iterator.
`protected static class` `RangeIntersectionIterator.Strategy`

### Constructor Summary

Constructors
Constructor and Description
`RangeIntersectionIterator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <K extends java.lang.Comparable<K>,D extends CombinedValue<K>> RangeIntersectionIterator.Builder<K,D>` `builder()`
`protected static <K extends java.lang.Comparable<K>,D extends CombinedValue<K>> RangeIntersectionIterator.Builder<K,D>` `builder(RangeIntersectionIterator.Strategy strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeIntersectionIterator

    public RangeIntersectionIterator()

### Method Detail

#### builder

    public static <K extends java.lang.Comparable<K>,D extends CombinedValue<K>> RangeIntersectionIterator.Builder<K,D> builder()

#### builder

    protected static <K extends java.lang.Comparable<K>,D extends CombinedValue<K>> RangeIntersectionIterator.Builder<K,D> builder(RangeIntersectionIterator.Strategy strategy)